Bug 217792 - Main head on dual-head radeon does 800x600 instead of configured resolution
Main head on dual-head radeon does 800x600 instead of configured resolution
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-11-29 17:29 EST by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-server-Xorg-1.1.1-48.26.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-12 16:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2006-11-29 17:29:27 EST
Description of problem: 
I hand-edited the xorg.conf generated by system-config-display (see bz#217788) 
and replaced the Modes line for Screen1 with a copy of the one from Screen0: 
'Modes    "1600x1200" "1600x1024" "1440x900" "1400x1050" "1280x1024" 
"1280x960" "1280x800" "1152x864" "1152x768" "1024x768" "800x600" "640x480"' 
and started the X server.  The right head came up at 1600x1200, but the left 
head is doing only 800x600. 
The display card in question is: 
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV100 QY 
[Radeon 7000/VE] 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1.Start X 
2.Look at the two heads 
3.run xdpyinfo 
Actual results: 
800x600 on left, 1600x1200 on right 
Expected results: 
1600x1200 on both 
Additional info: 
This worked semi-fine on RHEL3, although X would do unpleasant things like 
segfault if I used the wrong cables or had the input selector switches on the 
monitors in the wrong positions.
Comment 1 Matěj Cepl 2007-09-11 20:41:04 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
Comment 2 Jay Fenlason 2007-09-12 16:53:52 EDT
xorg-x11-server-Xorg-1.1.1-48.26.el5 works

Note You need to log in before you can comment on or make changes to this bug.